cancel
Showing results for 
Search instead for 
Did you mean: 

Oculus Go "The APKs for 3DoF platforms should be V1-signed"

VR_move
Level 3
When I try to upload my apk to the alpha channel I get this error:

The APK is for 6DoF devices only and cannot be used on a 3DoF mobile platform. You can set 'android:required="false"' in 'android.hardware.vr.headtracking' if the APK should be shared between GearVR/Go and Oculus Quest. The APKs for 3DoF platforms should be V1-signed.

I have uploaded for the Oculus Go before, built straight from Unity, and not had this problem before. 

I am using jarsigner to sign apk according to V1 scheme.
Can you suggest a solution?
5 REPLIES 5

lisisty
Level 3
Try thiscuj7zs73n27a.pngg1vv7bhxt9a8.png

VR_move
Level 3

lisisty said:

Try thiscuj7zs73n27a.pngg1vv7bhxt9a8.png


I am using unity 2019.2.13f

170f0zqlr3yz.png

qdwq4x0stxig.png

Did everything the same, did not help. I saw a similar solution on the forums and found out that unity 2019.2.13 does not sign apk by version v1, so I do it through jarsigner (jdk -15)
Previously, there were no problems with the signature, it all started when oculus updated their dashboard, I don't think the problem is with the signature 😞

VR_move
Level 3
I am still waiting for help(

VR_move
Level 3
Help me, please!

VR_move
Level 3
=(